Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.asynchronous.aspects
Class AsynchronousFacadeFieldsImpl

    java.lang.Object
      org.jboss.aspects.asynchronous.aspects.AsynchronousFacadeFieldsImpl

All Implemented Interfaces:
  AsynchronousFacadeFields

public class AsynchronousFacadeFieldsImpl
extends Object
implements AsynchronousFacadeFields

Version:
  `$Revision: 1.2.4.4 $`
Author:
  {Claude Hussenet Independent Consultant}.

Constructor Summary
`AsynchronousFacadeFieldsImpl()`

Method Summary
`AsynchronousTask` | `getAsynchronousTask()`
`String` | `getId()`
`long` | `getTimeout()`
`void` | `setAsynchronousTask(AsynchronousTask asynchronousTask)`
`void` | `setId(String id)`
`void` | `setTimeout(long timeout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsynchronousFacadeFieldsImpl

    public AsynchronousFacadeFieldsImpl()

Method Detail

### getId

    public String getId()

  Specified by:
    `getId` in interface `AsynchronousFacadeFields`

### setId

    public void setId(String id)

  Specified by:
    `setId` in interface `AsynchronousFacadeFields`

### getTimeout

    public long getTimeout()

  Specified by:
    `getTimeout` in interface `AsynchronousFacadeFields`

### setTimeout

    public void setTimeout(long timeout)

  Specified by:
    `setTimeout` in interface `AsynchronousFacadeFields`

### getAsynchronousTask

    public AsynchronousTask getAsynchronousTask()

  Specified by:
    `getAsynchronousTask` in interface `AsynchronousFacadeFields`

### setAsynchronousTask

    public void setAsynchronousTask(AsynchronousTask asynchronousTask)

  Specified by:
    `setAsynchronousTask` in interface `AsynchronousFacadeFields`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.